Package org.apache.sysds.runtime.compress.estim

## Class CompressedSizeInfo

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.CompressedSizeInfo

-     public class CompressedSizeInfo
      extends Object

  A helper reusable object for maintaining information about estimated compression

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `List<CompressedSizeInfoColGroup>` | `compressionInfo` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompressedSizeInfo​(List<CompressedSizeInfoColGroup> compressionInfo)` |
    `CompressedSizeInfo​(CompressedSizeInfoColGroup g)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearMaps()` |
    `String` | `getEstimatedDistinct()` |
    `CompressedSizeInfoColGroup` | `getGroupInfo​(int index)` |
    `List<CompressedSizeInfoColGroup>` | `getInfo()` |
    `String` | `getNrColumnsString()` |
    `int` | `getNumberColGroups()` |
    `long` | `memoryEstimate()` | Method for returning the calculated memory usage from this specific compression plan.
    `CompressedSizeInfo` | `setInfo​(List<CompressedSizeInfoColGroup> info)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### compressionInfo

          public List<CompressedSizeInfoColGroup> compressionInfo

  - ### Constructor Detail

    - #### CompressedSizeInfo

          public CompressedSizeInfo​(CompressedSizeInfoColGroup g)

    - #### CompressedSizeInfo

          public CompressedSizeInfo​(List<CompressedSizeInfoColGroup> compressionInfo)

  - ### Method Detail

    - #### getGroupInfo

          public CompressedSizeInfoColGroup getGroupInfo​(int index)

    - #### getInfo

          public List<CompressedSizeInfoColGroup> getInfo()

    - #### setInfo

          public CompressedSizeInfo setInfo​(List<CompressedSizeInfoColGroup> info)

    - #### clearMaps

          public void clearMaps()

    - #### memoryEstimate

          public long memoryEstimate()

      Method for returning the calculated memory usage from this specific compression plan.
      Returns:
        The in memory estimate as a long counting bytes.

    - #### getNumberColGroups

          public int getNumberColGroups()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getEstimatedDistinct

          public String getEstimatedDistinct()

    - #### getNrColumnsString

          public String getNrColumnsString()